%define uname XyGrib

Name: xygrib
Version: 1.2.8
Release: 1%{?dist}
Summary: Visualisation of meteo data from files in GRIB formats
License: GPL-3.0-only
Url: https://github.com/opengribs/XyGrib
Source0: https://opengribs.org/%{uname}-%{version}.tar.xz
Source1: %{uname}.desktop

Patch1: Xygrib-1.2.8-openjpeg-2.x.patch

Requires: liberation-fonts
Requires: %{name}-data = %{version}-%{release}
Requires: libnova

BuildRequires: g++
BuildRequires: cmake
BuildRequires: libpng-devel 
BuildRequires: zlib-devel
BuildRequires: openjpeg2-devel
BuildRequires: libnova-devel
BuildRequires: proj-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-linguist
BuildRequires: bzip2-devel
BuildRequires: desktop-file-utils

%description
Visualization of meteo data from files in GRIB formats v1 and v2.
GRIB data are used to display weather data in detailed format for
a certain area of sea or land. XyGrib is a fork of zyGrib 8.0.1.

%package data
Summary: Architecture independent files for XyGrib.
Group: Networking/Other
BuildArch: noarch

%description data
Architecture independent files for XyGrib.

Included low resolution maps for XyGrib (25 km, 5 km and 1 km)
and cities with population from 3000 to 10000 and more 10000.

data/gis/* have another license: CC-BY-3.0
home page: http://www.geonames.org/

%prep
%setup -q -n %{uname}-%{version}

%patch -P 1

%build
# -DNO_UPDATE=1 deactivates XyGrib internal SW update
%cmake \
    -DCMAKE_INSTALL_PREFIX=%{_datadir}/openGribs \
    -DCMAKE_CXX_FLAGS="%optflags -DNO_UPDATE=1"

%cmake_build

%install
%cmake_install

mkdir -p -m 755 %{buildroot}%{_bindir}
install %{buildroot}%{_datadir}/openGribs/XyGrib/%{uname} %{buildroot}%{_bindir}/

mkdir -p -m 755 %{buildroot}%{_datadir}/pixmaps
install %{buildroot}%{_datadir}/openGribs/XyGrib/data/img/xyGrib_32.xpm %{buildroot}%{_datadir}/pixmaps
mkdir -p -m 755 %{buildroot}%{_datadir}/applications
desktop-file-install %SOURCE1

find %{buildroot} \( -name 'Thumbs.db' -o -name 'Thumbs.db.gz' \) -print -delete
rm %{buildroot}%{_datadir}/openGribs/XyGrib/%{uname}

%files
%{_bindir}/%{uname}
%{_datadir}/pixmaps/*
%{_datadir}/applications/%{uname}.desktop
%doc README.md
%license LICENSE

%files data
%{_datadir}/openGribs

%changelog
* Sun Mar 05 2023 Damien Guégan <bolivari@fedoraproject.org> 1.2.8-1
- Initial build for fedora 37 inspired from alt Linux
